<?php

require_once("_frontend.php");

class Enterprises extends Frontend {

  function Enterprises() {
    parent::Frontend();
    
    $this->load->model("firma");
    $this->load->model("kategoria");

    $this->_prepareLangPanel("enterprises");
    
    $this->_assign('page_class', 'enterprises');
  }


  function index()
  {
    $this->load->model('clanok');
    
    $clanok = $this->clanok->vyberPodlaIdentifikatoru($this->jazyk, 'enterprise');
    $this->_assign('article', $clanok);
    //$this->_assign('firms', $this->firma->vyber($this->jazyk, 0, 0, 0, 0, false));
    $lang = $this->language->getLang('enterprises');
    $this->_assign('main_lang', $lang);
    
    $this->_setHeader($lang['header_enterprises']);
    
    $this->_setBody('main_index');
    $this->_display();
  }
}

?>